%define	name	jigdo
%define	version	0.7.3
%define	release	%mkrel 2
%define Summary	Jigsaw Download

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/File transfer
URL:		http://atterer.net/jigdo/
Source0:	http://atterer.net/jigdo/%{name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	db4.2-devel w3c-libwww-devel openssl-devel mawk
BuildRequires:	gtk2-devel gettext-devel libcurl-devel libbzip2-devel

%description
Jigsaw Download, or short jigdo, is an intelligent tool that can be used on the
pieces of any chopped-up big file to create a special "template" file which
makes reassembly of the file very easy for users who only have the pieces.

What makes jigdo special is that there are no restrictions on what
offsets/sizes the individual pieces have in the original big image. This makes
the program very well suited for distributing CD/DVD images (or large zip/tar
archives) because you can put the files on the CD on an FTP server - when jigdo
is presented the files along with the template you generated, it is able to
recreate the CD image.

%prep
%setup -q

%build
autoconf
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
	command="%{name} %U" \
	title="Jigdo" \
	longtitle="%{Summary}" \
	section="Internet/File Transfer" \
	icon="%{name}.png" \
	needs="x11" \
	xdg="true"	
EOF

mkdir %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Jigdo
Comment=%{Summary}
Exec=%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;FileTransfer;X-MandrivaLinux-Internet-FileTransfer;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README doc/jigdo-file.* doc/TechDetails.txt
%{_bindir}/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_mandir}/man1/%{name}*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-2mdv2007.0
- fix macros used used in menu item
- fix xdg menu categories
- use db 4.2 in stead
- don't bzip2 icons
- cleanups!

* Sun Jun 18 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.3-1mdv2007.0
- New release 0.7.3
- add xdg menu

* Sat May 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-3mdk
- rebuild for openssl
- buildrequires libcurl-devel libbzip2-devel 

* Thu Oct 27 2005 Lenny Cartier <lenny@mandriva.com> 0.7.2-2mdk
- rebuild for dependencies

* Thu Jul 21 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-1mdk
- New release 0.7.2
- Drop patch 0, 1
- Fix Buildrequire

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.0-2mdk
- rebuild for new g++
- fix buildrequires
- patch 0: fix db3 detection
- patch 1: fix compiling with new g++

* Fri Sep 12 2003 Michael Scherer <scherer.michael@free.fr> 0.7.0-1mdk 
- Rebuild 
- Drop non mdk rpm compatibility macro
- Buildrequires gtk2-devel

* Sat Dec 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.8-3mdk
- Rebuild for new glibc

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.8-2mdk
- rebuild

* Sat Jul 20 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.8-1mdk
- 0.6.8

* Thu Jun  6 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.7-1mdk
- 0.6.7
- Remove gcc 3.1 patch - merged upstream
- Fix download source

* Fri May 31 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.6-1mdk
- 0.6.6
- Add patch to make it compile with gcc 3.1.1

* Fri Apr 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.5-1mdk
- After constant reminders by the author, here's the (not that much 
  anymore) brand new version of the academy award winning jigdo - 
  Version 0.6.5! ;)

* Tue Mar  5 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.4-1mdk
- 0.6.4

* Sun Feb  8 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-3mdk
- Jigdo compiles with gcc 2.96 now

* Sat Jan 24 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-2mdk
- Make the SPEC be generic, so that it can be built on non-Mandrake
  machines

* Sat Jan 24 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-1mdk
- 0.6.2
- Remove patch1 - merged upstream

* Tue Jan 22 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.1-1mdk
- First Mandrake release

